#ifndef Icons_h
#define Icons_h

// $Id: Icons.h,v 1.25 2013/04/29 18:27:10 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseIcons.h"
#include <QString>

//! namespace for icon static name wrappers
namespace ICONS
{
    static const QString BUSY = "busy.png";
    static const QString CANCEL = "button_cancel.png";
    static const QString DOCUMENT = "application-x-zerosize.png";
    static const QString FOLDER = "folder.png";

    static const QString PARENT = "go-up.png";
    static const QString PREVIOUS_DIRECTORY = "go-previous.png";
    static const QString NEXT_DIRECTORY = "go-next.png";
    static const QString HOME_DIRECTORY = "go-home.png";

    static const QString UNKNOWN = "unknown.png";
    static const QString UP_TO_DATE = "up_to_date.png";
    static const QString LOCALLY_MODIFIED = "locally_modified.png";
    static const QString LOCALLY_ADDED = "locally_added.png";
    static const QString LOCALLY_REMOVED = "locally_removed.png";
    static const QString REMOTELY_MODIFIED = "remotely_modified.png";
    static const QString REMOTELY_ADDED = "remotely_added.png";
    static const QString REMOTELY_REMOVED  = "remotely_removed.png";
    static const QString MERGE = "merge.png";
    static const QString CONFLICT = "conflict.png";
};

#endif
